ui5.yaml 文件里的文件路径必须用符号 /forward slash 符号。

#yyds干货盘点# SAP UI5 Tools 里配置文件 ui5-local.yaml 的配置要点

framework 类型可以选择 SAPUI5 或者 OpenUI5

#yyds干货盘点# SAP UI5 Tools 里配置文件 ui5-local.yaml 的配置要点

上图打印的信息:

Using SAPUI5 version: 1.98.0

因为我们把版本号 1.98.0 定义在 ui5-local.yaml 文件的 framework 区域的 version 字段里。

#yyds干货盘点# SAP UI5 Tools 里配置文件 ui5-local.yaml 的配置要点

#yyds干货盘点# SAP UI5 Tools 里配置文件 ui5-local.yaml 的配置要点

但是运行时,我们会看到这个版本号被另一个优先级更高的设置所覆盖:即 webapp 文件夹中的 manifest.json 中的 minUI5Version1.66.0

#yyds干货盘点# SAP UI5 Tools 里配置文件 ui5-local.yaml 的配置要点

SAP UI5 运行时依赖的库列表,罗列在 framework 区域的 libraries 字段里:

#yyds干货盘点# SAP UI5 Tools 里配置文件 ui5-local.yaml 的配置要点

运行时会自动安装:

Installing missing package @sapui5/distribution-metadata...
info normalizer:ui5Framework:npm:Installer Installing missing package @sapui5/sap.suite.ui.generic.template...
info normalizer:ui5Framework:npm:Installer Installing missing package @sapui5/sap.ui.generic.app...
info normalizer:ui5Framework:npm:Installer Installing missing package @sapui5/sap.ui.comp...
info normalizer:ui5Framework:npm:Installer Installing missing package @sapui5/sap.ushell...
info normalizer:ui5Framework:npm:Installer Installing missing package @openui5/sap.f...
info normalizer:ui5Framework:npm:Installer Installing missing package @openui5/sap.ui.core...
info normalizer:ui5Framework:npm:Installer Installing missing package @openui5/sap.m...
info normalizer:ui5Framework:npm:Installer Installing missing package @openui5/sap.ui.table...
info normalizer:ui5Framework:npm:Installer Installing missing package @sapui5/sap.fe.placeholder...

#yyds干货盘点# SAP UI5 Tools 里配置文件 ui5-local.yaml 的配置要点

如果需要将某些不相关的资源比如单元测试和集成测试排除在最后的构建结果中,可以使用如下语法:

builder:
  resources:
    excludes:
      - "/resources/some/project/name/test_results/**"
      - "/test-resources/**"
      - "!/test-resources/some/project/name/demo-app/**"

SAP UI5 Tools 默认使用 8080 端口。

如果想修改默认端口,使用语法:

server:
  settings:
    httpPort: 1337
    httpsPort: 1443

命令行 ui5 tree:以图形界面显示该项目的依赖信息:

#yyds干货盘点# SAP UI5 Tools 里配置文件 ui5-local.yaml 的配置要点

运行 ui5 build, 在 dist 文件夹里生成 Component-preload.js

(1/8) Running task escapeNonAsciiCharacters...
info builder:builder application project1 (2/8) Running task replaceCopyright...
info builder:builder application project1 (3/8) Running task replaceVersion...
info builder:builder application project1 (4/8) Running task generateFlexChangesBundle...
info builder:builder application project1 (5/8) Running task generateComponentPreload...
info builder:builder application project1 (6/8) Running task createDebugFiles...
info builder:builder application project1 (7/8) Running task uglify...
info builder:builder application project1 (8/8) Running task generateVersionInfo...
#yyds干货盘点# SAP UI5 Tools 里配置文件 ui5-local.yaml 的配置要点

使用 ui5 build --allsap-ui-core.js 等依赖一起构建到最终的 package 里。

通常,我们建议全局安装 UI5 CLI (npm install --global @ui5/cli)。

但是,将 UI5 CLI 作为 devDependency (npm install --save-dev @ui5/cli) 添加到项目的 package.json 是有意义的。 这确保了每个从事该项目的开发人员都使用相同版本的 UI5 CLI,并且您的持续集成环境也使用此版本。

如果您同时拥有一个项目中的本地安装和全局安装,UI5 CLI 将始终尝试调用本地安装。 这部分是因为 package.json 中定义的 npm 脚本也将始终调用本地安装。

可以通过设置环境变量 UI5_CLI_NO_LOCAL 禁用此行为。